commit:     4b94fae20b0e67c025f9aa2bd409f27186e24fa9
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 16 07:36:08 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Nov 16 07:49:03 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4b94fae2

dev-vcs/git-filter-repo: Bump to 2.34.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-vcs/git-filter-repo/Manifest                   |  1 +
 .../git-filter-repo/git-filter-repo-2.34.0.ebuild  | 35 ++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/dev-vcs/git-filter-repo/Manifest b/dev-vcs/git-filter-repo/Manifest
index d85268c82e90..a8328ea84074 100644
--- a/dev-vcs/git-filter-repo/Manifest
+++ b/dev-vcs/git-filter-repo/Manifest
@@ -1 +1,2 @@
 DIST git-filter-repo-2.33.0.tar.xz 148024 BLAKE2B 
d23b47575cad60db2c42fe794d6b648ee14b0c126cc832b267030e6c8b4edb0acd6fe7e2666da086b3c79184a7e4362b585dfab8966102552f8317e3027d5d32
 SHA512 
9a4fc3e95c9b6bd399925bb8554acf93711a015756cc826a9f9ed06e91538addb78b3120876c46af4245892adfca7428d915a33d6d2890d9c0196cef5d4faa0f
+DIST git-filter-repo-2.34.0.tar.xz 149112 BLAKE2B 
7b9316fe4ee07ce996e92977947f64f753296b681f7a6ad32610b6478af637f558aa0eb2294a5066b09c8e654f279c2c22358f36ce12d2869f7874f36bbf1df5
 SHA512 
debd638f22d3543607b3d26dbdca867975ce2fd2ce03d4088e4e1d4e1be1db4655aeb8ef9de5b3930df4006511653e0b517646d1be51ab55807d19f404e14450

diff --git a/dev-vcs/git-filter-repo/git-filter-repo-2.34.0.ebuild 
b/dev-vcs/git-filter-repo/git-filter-repo-2.34.0.ebuild
new file mode 100644
index 000000000000..dfc0b43cc287
--- /dev/null
+++ b/dev-vcs/git-filter-repo/git-filter-repo-2.34.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..10} )
+inherit python-single-r1
+
+DESCRIPTION="Quickly rewrite git repository history (filter-branch 
replacement)"
+HOMEPAGE="https://github.com/newren/git-filter-repo/";
+SRC_URI="
+       
https://github.com/newren/git-filter-repo/releases/download/v${PV}/${P}.tar.xz";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+REQUIRED_USE=${PYTHON_REQUIRED_USE}
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       >=dev-vcs/git-2.24.0"
+
+src_compile() {
+       :
+}
+
+src_test() {
+       bash t/run_tests || die
+}
+
+src_install() {
+       python_fix_shebang git-filter-repo
+       dobin git-filter-repo
+       doman Documentation/man1/git-filter-repo.1
+}

Reply via email to